com.dlsc.flexgantt.command.treetable

## Class DefaultDeleteMultipleNodesCommand

- java.lang.Object
- - com.dlsc.flexgantt.command.AbstractCommand
  - - com.dlsc.flexgantt.command.AbstractCompoundCommand<DefaultDeleteNodeCommand>
    - - com.dlsc.flexgantt.command.treetable.DefaultDeleteMultipleNodesCommand

- All Implemented Interfaces:
    ICommand, Serializable

      public class DefaultDeleteMultipleNodesCommand
      extends AbstractCompoundCommand<DefaultDeleteNodeCommand>

  A command that deletes several tree table nodes from the model at the same time. This command can only be used in situations where the tree table model is an instance of `DefaultTreeTableModel` and the deleted child nodes and their parent nodes are all implementors of the `IMutableTreeTableNode` interface.
  Since:
    1.1
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `INodeEditPolicy.isDeletable(Object, com.dlsc.flexgantt.model.treetable.ITreeTableModel)`, `INodeEditPolicy.getDeleteNodesCommand(List, com.dlsc.flexgantt.model.treetable.ITreeTableModel)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDeleteMultipleNodesCommand(List<Object> nodes, DefaultTreeTableModel model)` Constructs a new command.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getNodes()` Returns the list of nodes that are / were deleted.

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCompoundCommand

      `addCommand, executeCommand, getCommand, getCommandCount, isRedoable, isUndoable, redoCommand, removeCommand, setCommands, undoCommand`

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCommand

      `getName, isRelevant, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDeleteMultipleNodesCommand

          public DefaultDeleteMultipleNodesCommand(List<Object> nodes,
                                                   DefaultTreeTableModel model)

      Constructs a new command.
      Parameters:
        `nodes` - the child node that will be deleted
        `model` - the model to which the node belongs
      Since:
        1.1

  - ### Method Detail

    - #### getNodes

          public List<Object> getNodes()

      Returns the list of nodes that are / were deleted.
      Returns:
        the deleted nodes
      Since:
        1.1.3

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.